nxt.util.bbh

## Class StringRw

- java.lang.Object
- - nxt.util.bbh.StringRw

- All Implemented Interfaces:
    ObjectRw<java.lang.String>

      public class StringRw
      extends java.lang.Object
      implements ObjectRw<java.lang.String>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringRw(int maxCharLength)`
    `StringRw(LengthRwPrimitiveType lengthRw, int maxCharLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSize(java.lang.String string)`
    `java.lang.String` | `readFromBuffer(java.nio.ByteBuffer buffer)`
    `boolean` | `validate(java.lang.String s)`
    `void` | `writeToBuffer(java.lang.String t, java.nio.ByteBuffer buffer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringRw

          public StringRw(LengthRwPrimitiveType lengthRw,
                          int maxCharLength)

    - #### StringRw

          public StringRw(int maxCharLength)

  - ### Method Detail

    - #### getSize

          public int getSize(java.lang.String string)

      Specified by:
        `getSize` in interface `ObjectRw<java.lang.String>`

    - #### readFromBuffer

          public java.lang.String readFromBuffer(java.nio.ByteBuffer buffer)
                                          throws NxtException.NotValidException

      Specified by:
        `readFromBuffer` in interface `ObjectRw<java.lang.String>`
      Throws:
        `NxtException.NotValidException`

    - #### writeToBuffer

          public void writeToBuffer(java.lang.String t,
                                    java.nio.ByteBuffer buffer)

      Specified by:
        `writeToBuffer` in interface `ObjectRw<java.lang.String>`

    - #### validate

          public boolean validate(java.lang.String s)

      Specified by:
        `validate` in interface `ObjectRw<java.lang.String>`